CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug {options]

Komentorivikäyttöliittymiä calibren virheentestaukseen. Ilman vaihtoehtoja, komento käynnistää upotetun Python-tulkin. Voit myös suorittaa calibren pääkäyttöliittymän, lukuohjelman sekä muokkaimen virheenetsintätilassa.

Sisältää myös käyttöliittymän joihinkin komentorivittömiin calibren osiin, kuten fontin osittamiseen, ekirjan diff-työkaluun jne.

:command:
`
calibre-debug`illa voit suorittaa myös itsenäisiä skriptejä. Toiminta:

calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Kaikki --:n jälkeen ohjataan skriptille.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPTIONS]

--add-simple-plugin
    Lisää yksinkertainen lisäosa (eli lisäosa, jossa on vain .py-tiedosto) syöttämällä .py-tiedoston tiedostopolku

--command, -c
    Suorita Python-koodi.

--debug-device-driver, -d
    Laitteen tunnistamisen vianmääritys

--default-programs
    Lisää/Poistaa calibren Windows oletusohjelmiin/-sta. --default-programs = (register|unregister)

--diff
    Suorita calibre diff-työkalu. Esimerkiksi: calibre-debug --diff file1 file2

--edit-book, -t
    Käynnistä calibren "Muokkaa kirjaa"-työkalu virheentunnistustilassa

--exec-file, -e
    Suorita tiedoston Python-koodi.

--explode-book, -x
    Räjäytä kirja osoitettuun kansioon. Käyttö: -x tiedosto.epub kohdekansio Vie kirjan kokoelmana HTML-tiedostoja ja metatietoja, joita voit editoida HTML-editoreilla. Yhteensopiva EPUB, AZW3, HTMLZ ja DOCX formaattien kanssa.

--export-all-calibre-data
    Vie kaikki calibre-tiedot (kirjat/asetukset/lisäosat). Kysyy kohdekansiota ja vietäviä kirjastoja, mutta voit ohittaa kysymykset syöttämällä tiedot komentorivillä. Käytä absoluuttisia polkuja kohdekansiolle ja lähdekirjastoille. Avainsana "all" vie kaikki kirjastot.

--gui, -g
    Käynnistä GUI vianmääritys aktivoituna. Vianmääritys tulostaa virtoihin stdout ja stderr.

--gui-debug
    Käynnistä GUI vianmäärityskonsolin kanssa, kirjoittaen lokia määriteltyyn polkuun. Vain sisäiseen käyttöön, käytä parametria -g käynnistääksesi GUI:n vianmääritystilassa.

--help, -h
    näytä tämä ohjeviesti ja poistu

--implode-book, -i
    Kasaa aikaisemmin räjäytetty kirja. Käyttö: -i vientikansio tiedosto.epub Tuo kirjan vientikansion tiedostoista. Kansion sisällön tulee olla aikaisemmin luotu --explode_book-komennolla. Huomaa myös, että tiedostotyypin on oltava sama kuin lähdetiedoston.

--import-calibre-data
    Tuo aikaisemmin vietyjä calibre-tietoja

--inspect-mobi, -m
    Tutki MOBI-tiedostoja osoitetuissa poluissa

--paths
    Tulosta hakemistopolut, joita tarvitaan calibre-ympäristön määrittelyyn

--reinitialize-db
    Käynnistä sqlite-calibre.tietokanta uudelleen osoitetussa polussa. Hyödyllinen korruptoituneesta tietokannasta palautumiseen.

--run-plugin, -r
    Käynnistä komentoriviä vastaanottava lisäosa. Esimerkiksi: calibre-debug -r "Add Books" -- file1 --option1 --:n jälkeinen osuus siirtyy lisäosan käsiteltäväksi.

--shutdown-running-calibre, -s
    Pakottaa käynnissä olevien calibre-instanssien sammumisen. Huomaa, että tämä pakottaa kaikkien käynnissä olevien prosessien päättämisen, joten käytä varoen.

--subset-font, -f
    Poimi fontista vain käytetyt merkit. Lisää -- valinnan jälkeen, jotta se siirtyy fontinpoimintaohjelmaan.

--test-build
    Testaa buildin binäärimoduulit

--version
    näytä ohjelman versionumero ja poistu

--viewer, -w
    Suorita e-kirja virheentunnistusmoodissa

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal